net.minecraft.world.gen.structure

## Class StructureVillagePieces

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureVillagePieces

-     public class StructureVillagePieces
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StructureVillagePieces.Church`
    `static class` | `StructureVillagePieces.Field1`
    `static class` | `StructureVillagePieces.Field2`
    `static class` | `StructureVillagePieces.Hall`
    `static class` | `StructureVillagePieces.House1`
    `static class` | `StructureVillagePieces.House2`
    `static class` | `StructureVillagePieces.House3`
    `static class` | `StructureVillagePieces.House4Garden`
    `static class` | `StructureVillagePieces.Path`
    `static class` | `StructureVillagePieces.PieceWeight`
    `static class` | `StructureVillagePieces.Road`
    `static class` | `StructureVillagePieces.Start`
    `static class` | `StructureVillagePieces.Torch`
    `static class` | `StructureVillagePieces.Village`
    `static class` | `StructureVillagePieces.Well`
    `static class` | `StructureVillagePieces.WoodHut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureVillagePieces()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List` | `getStructureVillageWeightedPieceList(java.util.Random par0Random, int par1)`
    `static void` | `registerVillagePieces()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructureVillagePieces

          public StructureVillagePieces()

  - ### Method Detail

    - #### registerVillagePieces

          public static void registerVillagePieces()

    - #### getStructureVillageWeightedPieceList

          public static java.util.List getStructureVillageWeightedPieceList(java.util.Random par0Random,
                                                            int par1)